Package net.shibboleth.idp.authn.context.navigate

# Class PreviousResultLookupFunction

java.lang.Object
net.shibboleth.idp.authn.context.navigate.PreviousResultLookupFunction

All Implemented Interfaces:
  `Function<AuthenticationContext,Boolean>`, `ContextDataLookupFunction<AuthenticationContext,Boolean>`

public class PreviousResultLookupFunction extends Object implements ContextDataLookupFunction<AuthenticationContext,Boolean>
A function that returns the value of `AuthenticationResult.isPreviousResult()` or null if the input context is null or `AuthenticationContext.getAuthenticationResult()` is null.

## Constructor Summary

Constructors
Constructor
Description
`PreviousResultLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`apply(AuthenticationContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### PreviousResultLookupFunction

public PreviousResultLookupFunction()

## Method Details

### apply

@Nullable public Boolean apply(@Nullable AuthenticationContext input)

Specified by:
  `apply` in interface `Function<AuthenticationContext,Boolean>`